Page MenuHomePhabricator

Enable ICU folding on Swedish, except for å, ä, and ö
Closed, ResolvedPublic

Description

After digging more deeply into T155822 we decided enabling folding wasn't the solution to the problem, but since we did 90% of the work to do it right (i.e., excluding å, ä, and ö), we should just finish that off.

Note that this will only cover analysis and deployment of the config. We still have to re-index the Swedish wikis at some point to make the changes live.

Re-index task: T161139: Reindex Swedish language projects once analysis update is deployed

Event Timeline

TJones created this task.Mar 15 2017, 6:52 PM

Change 343089 had a related patch set uploaded (by Tjones):
[mediawiki/extensions/CirrusSearch] Enable ICU Folding for Swedish

https://gerrit.wikimedia.org/r/343089

Change 343089 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch] Enable ICU Folding for Swedish

https://gerrit.wikimedia.org/r/343089

TJones added a comment.EditedMar 22 2017, 6:12 PM

The patch has been merged. Once the change is deployed, all that's left is to re-index the Swedish-language projects. That may be delayed by the Elasticsearch 5 update and related issues, but should happen relatively soon after deployment.

See also:
T161139: Reindex Swedish language projects once analysis update is deployed

debt closed this task as Resolved.May 30 2017, 5:31 PM

This is done, needing re-indexing to happen for viewing in production.

TJones updated the task description. (Show Details)May 30 2017, 5:35 PM